Skip to main content
GET
/
v1
/
anomalies
List detected anomalies
curl --request GET \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/anomalies \
  --header 'Authorization: Bearer <token>'
{
  "anomalies": [
    {
      "id": "<string>",
      "type": "rate_spike",
      "severity": "low",
      "agentId": "<string>",
      "principalId": "<string>",
      "description": "<string>",
      "metadata": {},
      "detectedAt": "2023-11-07T05:31:56Z",
      "acknowledgedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Developer API key

Query Parameters

unacknowledged
enum<string>

Filter to unacknowledged anomalies only

Available options:
true

Response

200 - application/json

Anomaly list

anomalies
object[]
total
integer